<?php
session_start();
error_reporting(1);
ini_set('display_errors', 1);
require_once "config.php";
include_once "../ichat/admin/route.php";
if ($session->is_logged_in() != true ) {
        redirect_to(WEB_LINK.'/login');
} else {
    $current_user = User::get_specific_id($session->admin_id);
    $current_user->set_online();
    $group = $current_user->prvlg_group;
}


require_once("../ichat/admin/assets/includes/Library/SessManager.php");
require_once("../ichat/admin/assets/includes/Library/User.php");
$session = new  SessManager();


//require_once "check_admin.php";
require_once 'database.php';
class add_cenas extends database
{
   public function index($data, $id)
    {
        $data['main_id'] = $id;
		return $this->insert('cenas',$data);
	}

    public function checkMainCenas($cenasID)
        {
            $where['id'] = $cenasID;
            return $this->fetchRow('cenas_main', $where);
        }
}

if(!isset($_GET['id']))
{
    header('Location: list_cenas.php');
    exit;
}

$id = $_GET['id'];


$dev = new add_cenas();	

$msg="";
if(isset($_GET['message']))
{
	$msg=$_GET['message'];
}
if(isset($_POST['data']))
{
	$data=$_POST['data'];
	if(trim($data['name']) == '')
	{
		$msg.= "Name is required<br/>";
	}
      
	if($msg=="")
	{
		 $res = $dev->index($data, $id);
            if($res)
            {
                    header('Location:edit_cenas_table_row.php?message=Cenas Added Successfully&id=' . $res . '&main_id=' . $id);
            }
            else {
                $msg = 'Something Went Wrong';
            }
	}
}

$mainCenas = $dev->checkMainCenas($id);
if(!$mainCenas)
{
    header('Location: list_cenas.php');
    exit;
}
include 'header.php';
?>
            <!-- MAIN CONTENT-->
            <div class="main-content">
                <div class="section__content section__content--p30">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="overview-wrap">
                                    <h2 class="title-1">Add Cenas - <?php echo $mainCenas['name'] ?> Tables</h2>
                                    
                                </div>
								<?php if($msg !=''){echo '<span class="col-md-6 alert alert-danger pull-left">'.$msg.'</span>';}?>
                            </div>
                        </div>
                        
                        <div class="row m-t-25 m-row">
					
                            <div class="col-lg-10">
                                <div class="card">
                                    
                                    <div class="card-body card-block">
									<form method="post">
                                        <div class="form-group">
                                            <label> Name</label>
											<input type="text" name="data[name]" class=" form-control" placeholder="Name" value="<?php if(isset($data['name'])){echo $data['name'];} ?>"/>
                                        </div>
                                       
										
										<div class="form-group">
										<button type="submit" class="track-btn pull-right">Add</button>
										
										</div>
                                        
                                        </form>
                                    </div>
                                </div>
                            </div>
                          
                        </div>
                        
                    <script>
							 $(document).ready(function(){
								$('.active').removeClass('active');
								$('#cenasm-menu').addClass('active');
							}); 
						</script>      
                       

  <?php
  include 'footer.php';
  ?>